﻿© 2009 Fluke Corporation, All rights reserved               MET/CAL Procedure
=============================================================================
INSTRUMENT:            Sub Tek TDS3000C Remote Interface Connection
DATE:                  2009-08-18 11:17:40
AUTHOR:                Fluke
REVISION:              $Revision: 2619 $
ADJUSTMENT THRESHOLD:  70%
NUMBER OF TESTS:       1
NUMBER OF LINES:       107
=============================================================================
#
#  Procedure Author:
#        ZY
#
#  Model(s) Covered:
#        TDS 3012C, TDS 3014C, TDS 3032C, TDS 3034C, TDS 3052C, TDS 3054C
#
#  Compatibility:
#        MET/CAL 7.20 SP1 (7.20x) or later
#
#  Subprocedures:
#        None
#
#  Required Files:
#        None
#
#  Additional Equipment Required:
#        None
#
#  This procedure is intended for use with MET/CAL® calibration software;
#  the terms and conditions set forth in your MET/CAL license apply to this
#  procedure.
#
#  Due to Fluke's policy of continuously updating our products, this procedure
#  may contain minor differences in methods used and/or specifications to
#  those found in the manual or other documentation. While every effort has
#  been made to ensure that this procedure is accurate, Fluke cannot be held
#  responsible for the consequences of error or omissions found within this
#  procedure.
#
#  The copyright in this procedure is owned by Fluke Corporation.
#
 STEP    FSC    RANGE NOMINAL        TOLERANCE     MOD1        MOD2  3  4 CON

# Initialize interface variables not specified in the calling procedure.

  1.001  IF           NOT(ISVAR("@VisaLAN"))
  1.002  MATH         @VisaLAN = 0
  1.003  ENDIF

# Make sure at least one support interface was specified.
  1.004  IF           NOT(@VisaLAN)
  1.005  DISP         Either @VisaLAN interface must be specified!
  1.006  MATH         @Abort = 1
  1.007  ENDIF

# If only one interface is supported by the UUT, choose it.
  1.008  IF           @VisaLAN
  1.009  MATH         LAN = 1

# Otherwise allow operator to select the UUT interface to use.
  1.010  ELSE
  1.011  MATH         @Id = LBNEW("UUT REMOTE CONTROL INTERFACE")
  1.012  MEM2         =Select UUT interface to be used for calibration.
  1.013  MATH         LBTEXT(@Id, MEM2)
  1.014  MATH         LBCONF(@Id, "+SelReq")
  1.015  MATH         LBBUTTON(@Id, "OK")
  1.016  MATH         LBBUTTON(@Id, "Exit")

  1.017  IF           @VisaLAN
  1.018  MATH         LBADDV(@Id, "LAN (Ethernet)", "LAN")
  1.019  ENDIF

# Return now if operator selected "Exit".
  1.020  IF           LBSHOW(@Id) == 2
  1.021  MATH         @Abort = 1
  1.022  END
  1.023  ENDIF

  1.024  ENDIF

# Display an appropriate message based on the UUT interface selected.
  1.025  IF           LAN
  1.026  DISP         Using an appropriate cable, connect the LAN (Ethernet,
  1.026  DISP         TCP/IP) to the UUT LAN connector (rear). The TDS3000C
  1.026  DISP         requires a straight-through 10BaseT cable with RJ-45
  1.026  DISP         connector to connect to a LAN, or a crossover cable to
  1.026  DISP         connect to a PC equipped with an Ethernet card.

  1.027  DISP         Configure the UUT for LAN operation in accordance
  1.027  DISP         with instructions in the Tektronix TDS 3000C Series
  1.027  DISP         Oscilloscopes User Manual.

  1.028  DISP         NI® Measurement & Automation Explorer (MAX) MUST be used
  1.028  DISP         to establish a VISA resource name for the UUT, prior to
  1.028  DISP         proceeding.
  1.028  DISP
  1.028  DISP         Optionally, NI MAX may also be used to subsequently
  1.028  DISP         verify the UUT connection.
  1.029  ENDIF

  1.030  MATH         @Abort = 0
  1.031  END
